# Created by pyp2rpm-3.3.10
%global pypi_name i3-layouts
%global pypi_version 0.13.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Dynamics layouts for i3wm

License:        MIT
URL:            http://github.com/eliep/i3-layouts
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(i3ipc)
BuildRequires:  python3dist(python-xlib)
BuildRequires:  python3dist(setuptools)

%description
 i3-layouts![test]( ![pipy]( is a small program that enforces dynamic layout on
i3 workspace. ![vstack](./img/vstack.gif)i3-layouts comes with 6 configurable
layouts:- vstack: one main windows with a vertical stack of windows. - hstack:
one main windows with an horizontal stack of windows. - spiral: each new
windows split the previous one, split direction alternates between horizontal
and...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(i3ipc)
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
 i3-layouts![test]( ![pipy]( is a small program that enforces dynamic layout on
i3 workspace. ![vstack](./img/vstack.gif)i3-layouts comes with 6 configurable
layouts:- vstack: one main windows with a vertical stack of windows. - hstack:
one main windows with an horizontal stack of windows. - spiral: each new
windows split the previous one, split direction alternates between horizontal
and...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.md
%{_bindir}/i3-layouts
%{_bindir}/i3l
%{python3_sitelib}/i3l
%{python3_sitelib}/test
%{python3_sitelib}/i3_layouts-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Nov 11 2024 mockbuilder - 0.13.2-1
- Initial package.